Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::MethodSlot3< T, R, P1, P2, P3 > Class Template Reference

A slot template for methods in a class of type T taking three arguments of type P1, P2 and P3, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::MethodSlot3< T, R, P1, P2, P3 >:

List of all members.

## Public Member Functions

- MethodSlot3 (T *object, PMF function)
    Construct a new method slot for a class member function.
- virtual R call (P1 p1, P2 p2, P3 p3) const
    Calls the class method connected to this slot passing it arguments p1, p2 and p3.

## Detailed Description

### template<typename T, typename R, typename P1, typename P2, typename P3>
class Inti::MethodSlot3< T, R, P1, P2, P3 >

A slot template for methods in a class of type T taking three arguments of type P1, P2 and P3, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename T, typename R, typename P1, typename P2, typename P3>
Inti::MethodSlot3< T, R, P1, P2, P3 >::MethodSlot3 | ( | T * | object,
|  | PMF | function
| ) | `[inline]`

Construct a new method slot for a class member function.

Parameters:

  object | A pointer to an object of type T.
  function | A class method with the signature R (T::*PMF)(P1, P2, P3).

## Member Function Documentation

template<typename T, typename R, typename P1, typename P2, typename P3>
virtual R Inti::MethodSlot3< T, R, P1, P2, P3 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3
| ) | const`[inline, virtual]`

Calls the class method connected to this slot passing it arguments p1, p2 and p3.

Returns:
  a value of type R returned by the called method.

Implements Inti::Slot3< R, P1, P2, P3 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer